javax.xml.ws.spi

## Annotation Type WebServiceFeatureAnnotation

-     @Target(value=ANNOTATION_TYPE)
       @Retention(value=RUNTIME)
       @Documented
      public @interface WebServiceFeatureAnnotation

  Annotation used to identify other annotations as a `WebServiceFeature`.

  Each `WebServiceFeature` annotation annotated with this annotation MUST contain an `enabled` property of type `boolean` with a default value of `true`.

  JAX-WS defines the following `WebServiceFeature` annotations (`Addressing`, `MTOM`, `RespectBinding`), however, an implementation may define vendors specific annotations for other features.

  Annotations annotated with `WebServiceFeatureAnnotation` MUST have the same @Target of `WebServiceRef` annotation, so that the resulting feature annotation can be used in conjunction with the `WebServiceRef` annotation if necessary.

  If a JAX-WS implementation encounters an annotation annotated with the `WebServiceFeatureAnnotation` that it does not recognize/support an error MUST be given.

  Since:
    JAX-WS 2.1
  See Also:
    `Addressing`, `MTOM`, `RespectBinding`

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `Class<? extends WebServiceFeature>` | `bean` The `WebServiceFeature` bean that is associated with the `WebServiceFeature` annotation
    `String` | `id` Unique identifier for the WebServiceFeature.

- - ### Element Detail

    - #### id

          public abstract String id

      Unique identifier for the WebServiceFeature. This identifier MUST be unique across all implementations of JAX-WS.

  - - #### bean

          public abstract Class<? extends WebServiceFeature> bean

      The `WebServiceFeature` bean that is associated with the `WebServiceFeature` annotation

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.